chat

What are the compatible devices for the Moves mobile application?

The Moves mobile application is compatible with the iPhone and Android phones.

  • iPhone (4 and up) with iOS 9.0 or later
  • Android phones (4.0 or later) with software 4.0.3 and up

Unfortunately, Moves is not available for the following devices:

  • Windows Phones
  • Samsung Note II
  • Blackberry
Was this article helpful?
1 out of 3 found this helpful
Powered by Zendesk